> For the complete documentation index, see [llms.txt](https://docs.keepup.store/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keepup.store/docs/api/products.md).

# Products

### API Endpoints:

<table data-card-size="large" data-view="cards" data-full-width="false"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><h4>List Products <mark style="color:green;"><code>GET</code></mark></h4></td><td>Retrieves a list of all products. You can apply filters to narrow down the results based on product name, SKU, category, and more.</td><td></td><td><a href="/pages/zPpP4GBSq21JgwfnhYCW">/pages/zPpP4GBSq21JgwfnhYCW</a></td></tr><tr><td><h4>Fetch Product <mark style="color:green;"><code>GET</code></mark></h4></td><td>Fetches details of specific products using the product ID. This is useful for viewing complete product details.</td><td></td><td><a href="/pages/4wuYzRFEPqmHVtPDTe0p">/pages/4wuYzRFEPqmHVtPDTe0p</a></td></tr><tr><td><h4>Add Product <mark style="color:purple;"><code>POST</code></mark></h4></td><td>Allows you to add a new product to your inventory.</td><td></td><td><a href="/pages/JclsApA9DvHcO5naFxue">/pages/JclsApA9DvHcO5naFxue</a></td></tr><tr><td><h4>Edit Product <mark style="color:yellow;"><code>PUT</code></mark></h4></td><td>Edit details of an existing product. This endpoint can be used to modify product name, category, selling price, and, more.</td><td></td><td><a href="/pages/ihOOjizGnNZVHAsRYdsH">/pages/ihOOjizGnNZVHAsRYdsH</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keepup.store/docs/api/products.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
